com.amazonaws.services.lambda.model

## Class VpcConfigResponse

- java.lang.Object
- - com.amazonaws.services.lambda.model.VpcConfigResponse

All Implemented Interfaces:
  Serializable, Cloneable

    public class VpcConfigResponse
    extends Object
    implements Serializable, Cloneable

VPC configuration associated with your Lambda function.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VpcConfigResponse()`

### Method Summary

All Methods Instance Methods Concrete Methods
`VpcConfigResponse` `clone()`
`boolean` `equals(Object obj)`
`List<String>` `getSecurityGroupIds()` A list of security group IDs associated with the Lambda function.
`List<String>` `getSubnetIds()` A list of subnet IDs associated with the Lambda function.
`String` `getVpcId()` The VPC ID associated with you Lambda function.
`int` `hashCode()`
`void` `setSecurityGroupIds(Collection<String> securityGroupIds)` A list of security group IDs associated with the Lambda function.
`void` `setSubnetIds(Collection<String> subnetIds)` A list of subnet IDs associated with the Lambda function.
`void` `setVpcId(String vpcId)` The VPC ID associated with you Lambda function.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`VpcConfigResponse` `withSecurityGroupIds(Collection<String> securityGroupIds)` A list of security group IDs associated with the Lambda function.
`VpcConfigResponse` `withSecurityGroupIds(String... securityGroupIds)` A list of security group IDs associated with the Lambda function.
`VpcConfigResponse` `withSubnetIds(Collection<String> subnetIds)` A list of subnet IDs associated with the Lambda function.
`VpcConfigResponse` `withSubnetIds(String... subnetIds)` A list of subnet IDs associated with the Lambda function.
`VpcConfigResponse` `withVpcId(String vpcId)` The VPC ID associated with you Lambda function.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VpcConfigResponse

    public VpcConfigResponse()

### Method Detail

#### getSubnetIds

    public List<String> getSubnetIds()

A list of subnet IDs associated with the Lambda function.

Returns:
  A list of subnet IDs associated with the Lambda function.

#### setSubnetIds

    public void setSubnetIds(Collection<String> subnetIds)

A list of subnet IDs associated with the Lambda function.

Parameters:
  `subnetIds` - A list of subnet IDs associated with the Lambda function.

#### withSubnetIds

    public VpcConfigResponse withSubnetIds(String... subnetIds)

A list of subnet IDs associated with the Lambda function.

NOTE: This method appends the values to the existing list (if any). Use `setSubnetIds(java.util.Collection)` or `withSubnetIds(java.util.Collection)` if you want to override the existing values.

Parameters:
  `subnetIds` - A list of subnet IDs associated with the Lambda function.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withSubnetIds

    public VpcConfigResponse withSubnetIds(Collection<String> subnetIds)

A list of subnet IDs associated with the Lambda function.

Parameters:
  `subnetIds` - A list of subnet IDs associated with the Lambda function.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getSecurityGroupIds

    public List<String> getSecurityGroupIds()

A list of security group IDs associated with the Lambda function.

Returns:
  A list of security group IDs associated with the Lambda function.

#### setSecurityGroupIds

    public void setSecurityGroupIds(Collection<String> securityGroupIds)

A list of security group IDs associated with the Lambda function.

Parameters:
  `securityGroupIds` - A list of security group IDs associated with the Lambda function.

#### withSecurityGroupIds

    public VpcConfigResponse withSecurityGroupIds(String... securityGroupIds)

A list of security group IDs associated with the Lambda function.

NOTE: This method appends the values to the existing list (if any). Use `setSecurityGroupIds(java.util.Collection)` or `withSecurityGroupIds(java.util.Collection)` if you want to override the existing values.

Parameters:
  `securityGroupIds` - A list of security group IDs associated with the Lambda function.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withSecurityGroupIds

    public VpcConfigResponse withSecurityGroupIds(Collection<String> securityGroupIds)

A list of security group IDs associated with the Lambda function.

Parameters:
  `securityGroupIds` - A list of security group IDs associated with the Lambda function.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setVpcId

    public void setVpcId(String vpcId)

The VPC ID associated with you Lambda function.

Parameters:
  `vpcId` - The VPC ID associated with you Lambda function.

#### getVpcId

    public String getVpcId()

The VPC ID associated with you Lambda function.

Returns:
  The VPC ID associated with you Lambda function.

#### withVpcId

    public VpcConfigResponse withVpcId(String vpcId)

The VPC ID associated with you Lambda function.

Parameters:
  `vpcId` - The VPC ID associated with you Lambda function.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public VpcConfigResponse clone()

Overrides:
  `clone` in class `Object`